local mod = RW:Boss("Faction Champions", "Trial of the Crusader", "Crusaders Coliseum")
local L

--[[ [2009/11/16 19:50:54-7849-x1]: RW_Core\CombatScanner.lua:109: attempt to call a table value
CallbackHandler-1.0-5:146: in function <...onLoader\CallbackHandler-1.0\CallbackHandler-1.0.lua:146>
<string>:"safecall Dispatcher[13]":4: in function <[string "safecall Dispatcher[13]"]:4>
<in C code>: ?
<string>:"safecall Dispatcher[13]":13: in function `?'
CallbackHandler-1.0-5:91: in function `Fire'
AceEvent-3.0-3 (Auracle):119: in function <...ce\AddOns\Auracle\libs\AceEvent-3.0\AceEvent-3.0.lua:118> ]]--

local tHellfire
local wHellfire

function mod:OnRegister()
	
	L = self:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Faction Champions"
		
		L.YellVictory = "A shallow and tragic victory. We are weaker as a whole from the losses suffered today. Who but the Lich King could benefit from such foolishness? Great warriors have lost their lives. And for what? The true threat looms ahead - the Lich King awaits us all in death."
	end
	
	L = self:GetLocale()
	mod.L = L
	
	self:SetTrigger(
		-- Horde
		34441, 34444, 34445, 34447, 34448, 34449, 34450, 34451, 34453, 34454, 34455, 34456, 34458, 34459,
		-- Alliance
		34460, 34461, 34463, 34465, 34466, 34467, 34468, 34469, 34470, 34471, 34472, 34473, 34474, 34475
	)
	self:SetWin(L.YellVictory)
	
	tHellfire = self:CastTimer(15, 65816)
	wHellfire = self:RunawayWarning(65816)
end

function mod:OnEngage()
	self:Track("Hellfire", 65816, 68145, 68146, 68147)
end

function mod:Hellfire(event, args)
	if event == "SPELL_AURA_APPLIED" then
		tHellfire:Start()
		if args:IsPlayer() then
			wHellfire:Show()
		end
	elseif event == "SPELL_AURA_REMOVED" then
		tHellfire:Stop()
	end
end
