local mod = RW:Boss("Lord Marrowgar", "Icecrown Citadell", "Icecrown Citadell", "The Entryway")
local L

local tBoneStormCD, tBoneStormDur

local mBoneStormSoon

local wFlame

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Lord Marrowgar"
		
		L.bonestomr_trigger = "%s falls apart and his bones begin to spin!"
		
		L.bonestorm_soon = "Bone storm in 10s!"
		L.bonestorm_soon_opt = "10s warning"
	end
	L = mod:GetLocale()
	mod.L = L
	
	mod:SetTrigger(36612)
	mod:SetWin(36612)
	
	tBoneStormCD, tBoneStormDur = self:CDTimer(90, 69076), self:DurTimer(50, 69076)
	
	wFlame	= self:RunawayWarning(69146)
	
	mBoneStormSoon = self:CustomMessage({L.bonestorm_soon, L.bonestorm_soon_opt}, 69076)
end

function mod:OnEngage()
	self:Track("BoneStorm", 69076)
	self:Track("Flame", 69146, 70825, 70824, 70823)
end

function mod:BoneStorm(event, args)
	if event == "SPELL_AURA_APPLIED" then
		tBoneStormCD:Start()
		tBoneStormDur:Start()
		mBoneStormSoon:Schedule(80)
	end
end

function mod:Flame(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wFlame:Show()
	end
end

