local AL = LibStub("AceLocale-3.0")
if not AL then return end

local L = AL:NewLocale("RW-2.0", "enUS", true)

if L then
	L.BOSS_ENGAGE 	= "Engaged %s."
	L.BOSS_WIN		= "%s defeted after %s"
	L.BOSS_WIPE		= "Wiped against %s after %s"
	
	L.COMBATTIME_SEC	= "%d \1244second:seconds;"
	L.COMBATTIME_MIN	= "%d \1244minute:minutes;"
	L.COMBATTIME		= "%d \1244minute:minutes; and %d \1244second:seconds;"
	
	L.NORMAL_MODE = "Normal mode"
	L.HARD_MODE = "Hard mode"
	
	L.UNKNOWN = "unknown"
	
	L.BAR = "Bar"
	L.MESSAGE = "Message"
	L.WARNING = "Warning"
	L.ICON = "Icon"
	L.RANGE = "Range"
	
	L.BAR_DESC = "A selection of different timer bars\navailable for the selected option"
	L.WARNING_DESC = "A selection of warnings available\nfor the selected option"
	L.MESSAGE_DESC = "A selection of messages available\nfor the selected option"
	L.ICON_DESC = "Enable/Disable icons used for this event"
	
	L.BAR_CD = "Cooldown"
	L.BAR_DUR = "Duration"
	L.BAR_CAST = "Cast"
	L.BAR_NORMAL = "General bar"
	L.BAR_DUR_TARGET = "Duration on target"
	L.BAR_DUR_TARGET_STACK = "Duration on target with stack count"
	L.BAR_DUR_STACK = "Duration with stack count"
	L.BAR_BERSERK = "Berserk timer"
	
	L.BAR_CD_DESC 				= "Show the cooldown bar for |cff98F5FF%s|r"
	L.BAR_DUR_DESC 				= "Show a bar with the duration of |cff98F5FF%s|r"
	L.BAR_CAST_DESC 			= "Show the cast bar for |cff98F5FF%s|r"
	L.BAR_NORMAL_DESC 			= "Show a general timer bar"
	L.BAR_DUR_TARGET_DESC 		= "Show a bar with the name\nof the target of |cff98F5FF%s|r"
	L.BAR_DUR_TARGET_STACK_DESC = "Show a bar with the name of the\ntarget of \n|cff98F5FF%s|r including number of stacks"
	L.BAR_DUR_STACK_DESC 		= "Show a bar that shows the\nstack count of |cff98F5FF%s|r"
	L.BAR_BERSERK_DESC			= "Show a timer for Berserk"
	
	L.FORMAT_BAR_CD 			= "%s (CD)"
	L.FORMAT_BAR_DUR 			= "%s (D)"
	L.FORMAT_BAR_CAST 			= "%s"
	L.FORMAT_BAR_NORMAL 		= "%s"
	L.FORMAT_BAR_DUR_TARGET 	= "%s: >%s<"
	L.FORMAT_BAR_DUR_TARGET_STACK = "%s: >%s< x %d"
	L.FORMAT_BAR_DUR_STACK		= "%s x %d"
	L.FORMAT_BAR_BERSERK 		= "Berserk"
	
	L.MESSAGE_NORMAL 		= "General message"
	L.MESSAGE_CAST			= "Cast message" 
	L.MESSAGE_TARGET 		= "Target message"
	L.MESSAGE_TARGET_STACK 	= "Target stack message"
	L.MESSAGE_PHASE 		= "Phase message"
	
	L.MESSAGE_NORMAL_DESC 		= "Show a general message"
	L.MESSAGE_CAST_DESC			= "Show a message when |cff98F5FF%s|r is cast" 
	L.MESSAGE_TARGET_DESC 		= "Show a message when someone is target of |cff98F5FF%s|r"
	L.MESSAGE_TARGET_STACK_DESC = "Show a message when someone is target of\n|cff98F5FF%s|r and how many stacks"
	L.MESSAGE_PHASE_DESC 		= "Show a message when entering a new phase"
	
	L.FORMAT_MESSAGE_NORMAL			= "%s"
	L.FORMAT_MESSAGE_CAST 			= "Casting: <%s>"
	L.FORMAT_MESSAGE_TARGET 		= "%s: >%s<"
	L.FORMAT_MESSAGE_TARGET_STACK 	= "%s: >%s< x %d"
	L.FORMAT_MESSAGE_PHASE 			= "Phase: %d"
	
	L.WARNING_NORMAL	= "General warning"
	L.WARNING_CAST		= "Spell casting warning"
	L.WARNING_RUNAWAY   = "Runaway warning"
	
	L.WARNING_NORMAL_DESC 	= "Show a warning for the selected option"
	L.WARNING_CAST_DESC		= "Show a warning when |cff98F5FF%s|r is casted"
	L.WARNING_RUNAWAY_DESC 	= "Show a warning when you need\nto run away due to |cff98F5FF%s|r"
	
	L.FORMAT_WARNING_NORMAL = "%s"
	L.FORMAT_WARNING_CAST	= "Casting: %s"
	L.FORMAT_WARNING_RUNAWAY = "Run: %s"
	
	L.ICON_NORMAL = "dg"
	
	L.ICON_NORMAL_DESC = "dgdg"
end

L = AL:NewLocale("RW-2.0-Plugins", "enUS", true)
if L then
	L.FADE_OUT_TIME = "Fade out time"
	L.FADE_OUT_TIME_DESC = "Control the time it takes for each message to fade out."
	
	L.GROW_UP = "Grow upwards"
	L.GROW_UP_DESC = "Toggle elements growing upwards or downwards."
	
	L.RESET_POSITION = "Reset position"
	L.RESET_POSITION_DESC = "Reset the position of the message frame"
	
	L.RANDOM_MESSAGE_1 = "Mad stuff"
	L.RANDOM_MESSAGE_2 = "Test Message"
	L.RANDOM_MESSAGE_3 = "This is a message"
	L.RANDOM_MESSAGE_4 = "Saying stuff"
	L.RANDOM_MESSAGE_RESTART = "Bars respawning"
	
	L.FONT_MAIN = "Font settings"
	L.FONT = "Font"
	L.FONT_SIZE = "Font size"
	L.FONT_COLOR = "Font color"
	L.FONT_OUTLINE = "Font outline"
	L.FONT_OUTLINE_DESC = "The type out outlining of the fonts"
	
	L.TEXTURE_MAIN = "Texture settings"
	L.BORDER = "Border"
	L.BORDER_COLOR = "Border color"
	L.BORDER_SIZE = "Border size"
	L.BAR_TEXTURE = "Bar texture"
	L.BAR_COLOR = "Bar color"
	
	L.SIZE_SETTINGS = "Size settings"
	L.WIDTH	= "Width"
	L.HEIGHT = "Height"
	
	L.ANIMATION_SETTINGS = "Animation settings"
	L.ANIMATE_TRANSITIONS = "Enable"
	L.ANIMATE_TRANSITIONS_DESC = "Toggle the use of animating transitions"
	L.ANIMATE_SPEED	= "Animation speed"
	L.ANIMATE_SPEED_DESC = "Adjust the speed of the transition animations"
	
	L.BAR_DURATION = "Bar duration settings"
	
	L.USE_MODEL = "Use 3D-model"
	L.USE_MODEL_DESC = "Use 3D-models instead of the normal portrait texture."
	
	L.RANGE = "Range (%dy)"
	
	L.DEAD	= "Dead"
end
